#[derive(Clone, Copy, Debug, Eq, PartialEq)]
pub struct QuotaId {
    pub(crate) index: usize,
    pub(crate) generation: u32,
}

impl QuotaId {
    #[inline]
    pub(crate) fn new(index: usize, generation: u32) -> Self {
        Self { index, generation }
    }
}

#[cfg(test)]
mod tests;
